Rails 4 support #2

Closed
amnesia7 opened this Issue Aug 25, 2013 · 1 comment

Comments

Projects
None yet
2 participants
@amnesia7

Hi,

I am just trying to update my app to rails 4 and ActiveSupport seems to want to use v0.3.37 but this gem is up to v1.0.1.

activesupport (4.0.0)
......
  tzinfo (~> 0.3.37)
Outdated gems included in the bundle:
......
  * tzinfo (1.0.1 > 0.3.37)

Is there a reason for this?

Is there anything that can be done so the more recent version supports rails 4 or do I not need to worry about this?

Thanks

Col

@philr

This comment has been minimized.

Show comment
Hide comment
@philr

philr Aug 26, 2013

Member

Hi Col,

There haven't been any significant changes to the core interface of TZInfo between v0.3.37 and v1.0.1, so it should be possible to use v1.0.1 with Rails.

v0.3.37 was the latest version of TZInfo at the time Rails 4.0.0.rc1 was released.

ActiveSupport v4.0.0's dependency on tzinfo includes the version constraint ~> 0.3.37. Unless this is changed, TZInfo v0.3.37 is the latest version that will be used.

There is a pull request open on the rails project for getting the dependency updated to ~> 1.0 (rails/rails#10826). The last activity on this was three months ago though, so I don't know whether this will be included in the the next Rails release.

Kind regards,

Phil

Member

philr commented Aug 26, 2013

Hi Col,

There haven't been any significant changes to the core interface of TZInfo between v0.3.37 and v1.0.1, so it should be possible to use v1.0.1 with Rails.

v0.3.37 was the latest version of TZInfo at the time Rails 4.0.0.rc1 was released.

ActiveSupport v4.0.0's dependency on tzinfo includes the version constraint ~> 0.3.37. Unless this is changed, TZInfo v0.3.37 is the latest version that will be used.

There is a pull request open on the rails project for getting the dependency updated to ~> 1.0 (rails/rails#10826). The last activity on this was three months ago though, so I don't know whether this will be included in the the next Rails release.

Kind regards,

Phil

@philr philr closed this Aug 26, 2013

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment